Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040604
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminorhave not tried2019-04-12 09:202019-04-16 08:38
ReporteralostaleView Statuspublic 
Assigned Tojarmendariz 
PriorityimmediateResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision3567008be14f
ProjectionnoneETAnoneTarget Version3.0PR19Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2018-07-11
Regression introduced in release3.0PR18Q4
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/cf4416b527d97adba57b97484b66a33284101738 [^]
Triggers an Emergency PackNo
Summary

0040604: NPE sending email if timeout not set

DescriptionIf email configuration does not define a timeout, a NPE is thrown when trying to send email.
Steps To Reproduce1. Create an Email Configuration for current Client
   -> do not set Smtp Connection Timeout field
2. Open any Sales Invoice
3. Click on the email toolbar button and click on Send after populating mandatory fields
   -> ERROR:
      * In UI "Problems while sending the email" appears
      * In openbravo.log:
2019-04-12 09:10:26,328 [http-nio-8080-exec-9] ERROR org.openbravo.erpCommon.utility.reporting.printing.PrintInvoices - error sending mail
java.lang.NullPointerException: null
    at org.openbravo.erpCommon.utility.poc.EmailManager.sendEmail(EmailManager.java:67) ~[classes/:?]
    at org.openbravo.erpCommon.utility.reporting.printing.PrintController.sendDocumentEmail(PrintController.java:821) [classes/:?]
    at org.openbravo.erpCommon.utility.reporting.printing.PrintController.post(PrintController.java:416) [classes/:?]
    at org.openbravo.erpCommon.utility.reporting.printing.PrintInvoices.doPost(PrintInvoices.java:57) [classes/:?]
        ...
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040603 closedjarmendariz NPE sending email if timeout not set 

-  Notes
(0111125)
hgbot (developer)
2019-04-15 12:09

Repository: erp/backports/3.0PR19Q2
Changeset: 3567008be14fb6f089e54cdcd5b38f03b957caee
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Apr 12 14:54:40 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q2/rev/3567008be14fb6f089e54cdcd5b38f03b957caee [^]

Fixed issue 40604: NPE if email timeout is not set

Adding another null check to verify not only in the case that the email config
does not exist, but also that the timeout value is empty. In both cases the
default timeout should be used.

---
M src/org/openbravo/erpCommon/utility/poc/EmailManager.java
---
(0111161)
alostale (developer)
2019-04-16 08:38

reviewed + tested

- Issue History
Date Modified Username Field Change
2019-04-12 09:21 alostale Type defect => backport
2019-04-12 09:21 alostale Target Version => 3.0PR19Q2
2019-04-15 12:09 hgbot Checkin
2019-04-15 12:09 hgbot Note Added: 0111125
2019-04-15 12:09 hgbot Status scheduled => resolved
2019-04-15 12:09 hgbot Resolution open => fixed
2019-04-15 12:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q2/rev/3567008be14fb6f089e54cdcd5b38f03b957caee [^]
2019-04-15 12:10 jarmendariz Review Assigned To => alostale
2019-04-16 08:38 alostale Note Added: 0111161
2019-04-16 08:38 alostale Status resolved => closed
2019-04-16 08:38 alostale Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker